package com.example.aspdemo;

import android.content.Context;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class CAFileHelper {
    private static String mFilePath = null;

    public static String getCAFilePath(Context context) {
        if (mFilePath == null) {
            copyAssetToCacheDir(context, "ca-cert.pem");
            mFilePath = new File(context.getCacheDir(), "ca-cert.pem").getAbsolutePath();
        }
        return mFilePath;
    }

    private static boolean copyAssetToCacheDir(Context context, String fileName) {
        try {
            File cacheDir = context.getCacheDir();
            if (!cacheDir.exists()) {
                cacheDir.mkdirs();
            }
            File outFile = new File(cacheDir, fileName);
            if (!outFile.exists()) {
                if (!outFile.createNewFile()) {
                    return false;
                }
            } else {
                return true;
            }
            InputStream is = context.getAssets().open(fileName);
            FileOutputStream fos = new FileOutputStream(outFile);
            byte[] buffer = new byte[1024];
            int byteCount;
            while ((byteCount = is.read(buffer)) != -1) {
                fos.write(buffer, 0, byteCount);
            }
            fos.flush();
            is.close();
            fos.close();
            return true;
        } catch (IOException e) {
            e.printStackTrace();
        }
        return false;
    }
}