package com.example.aspdemo;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import androidx.appcompat.app.AppCompatActivity;
import androidx.preference.Preference;
import androidx.preference.PreferenceFragmentCompat;

public class SettingsActivity extends AppCompatActivity {
    private final static Class  TARGET_ACTIVITY = StreamViewDemoActivity.class;
    //private final static Class TARGET_ACTIVITY = ASPEngineDemoActivity.class;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_settings);

        setTitle("Settings");

        if (savedInstanceState == null) {
            getSupportFragmentManager()
                    .beginTransaction()
                    .replace(R.id.settings, new SettingsFragment())
                    .commit();
        }
    }

    public static class SettingsFragment extends PreferenceFragmentCompat {

        @Override
        public void onCreatePreferences(Bundle savedInstanceState, String rootKey) {
            setPreferencesFromResource(R.xml.root_preferences, rootKey);

            Preference button = findPreference("start_btn");
            button.setOnPreferenceClickListener(new Preference.OnPreferenceClickListener() {
                @Override
                public boolean onPreferenceClick(Preference preference) {
                    SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(getActivity());
                    Intent intent = new Intent(getActivity(), TARGET_ACTIVITY);
                    Bundle b = new Bundle();
                    b.putString("host", prefs.getString("host", null));
                    b.putString("port", prefs.getString("port", null));
                    b.putString("ca", CAFileHelper.getCAFilePath(getActivity()));
                    b.putBoolean("tls", prefs.getBoolean("tls", false));
                    b.putBoolean("vdagent", prefs.getBoolean("vdagent", true));
                    b.putBoolean("rtc", prefs.getBoolean("rtc", true));
                    b.putBoolean("perf_stat", prefs.getBoolean("perf_stat", true));
                    intent.putExtras(b); //Put your id to your next Intent
                    intent.setFlags(Intent.FLAG_ACTIVITY_REORDER_TO_FRONT);
                    startActivity(intent);
                    return true;
                }
            });
        }
    }
}