package com.example.aspdemo.mediastreamplayer.audio;

import android.util.Log;

import com.aliyun.wuying.aspsdk.aspengine.AFrame;
import com.aliyun.wuying.aspsdk.aspengine.ErrorCode;
import com.aliyun.wuying.aspsdk.aspengine.MediaStreamPlayer;

public class AudioPlaybackStreamHandler implements MediaStreamPlayer.IAudioPlaybackStreamHandler {
    private static final String TAG = "AudioStreamHandler";

    private AudioTrackPlayer mAudioPlayer;

    @Override
    public ErrorCode initAudio() {
        Log.i(TAG, "initAudio");
        mAudioPlayer = new AudioTrackPlayer();
        mAudioPlayer.init();
        return ErrorCode.OK;
    }

    @Override
    public ErrorCode deInitAudio() {
        Log.i(TAG, "deInitAudio");
        mAudioPlayer.deinit();
        return ErrorCode.OK;
    }

    @Override
    public ErrorCode startAudioPlayback() {
        Log.i(TAG, "startAudioPlayback");
        return mAudioPlayer.startAudioPlayback();
    }

    @Override
    public ErrorCode stopAudioPlayback() {
        Log.i(TAG, "stopAudioPlayback");
        return mAudioPlayer.stopAudioPlayback();
    }

    @Override
    public ErrorCode pushAudioPlaybackFrame(AFrame pbData) {
        Log.i(TAG, "pushAudioPlaybackFrame " + pbData.toString());
        return mAudioPlayer.pushAudioPlaybackFrame(pbData);
    }

    @Override
    public ErrorCode updateAudioPlaybackVol(int volume) {
        Log.i(TAG, "updateAudioPlaybackVol " + volume);
        return mAudioPlayer.updateAudioPlaybackVol(volume);
    }

    @Override
    public long getAudioPlaybackLatency() {
        return 0;
    }

    @Override
    public ErrorCode updateAudioPlaybackMute(int mute) {
        Log.i(TAG, "updateAudioPlaybackMute " + mute);
        return mAudioPlayer.updateAudioPlaybackMute(mute);
    }

    @Override
    public ErrorCode release() {
        return mAudioPlayer.deinit();
    }
}
